[PATCH] Save mlook state in config.cfg

diff -urN b/NQ/host.c head/NQ/host.c
--- b/NQ/host.c	2005-11-27 19:13:02.000000000 +1030
+++ head/NQ/host.c	2005-12-28 11:58:39.000000000 +1030
@@ -278,6 +278,10 @@
 	Key_WriteBindings(f);
 	Cvar_WriteVariables(f);
 
+	/* Save the mlook state (rarely used as an actual key binding) */
+	if (in_mlook.state & 1)
+	    fprintf(f, "+mlook\n");
+
 	fclose(f);
     }
 }
diff -urN b/QW/client/cl_main.c head/QW/client/cl_main.c
--- b/QW/client/cl_main.c	2005-11-27 19:13:02.000000000 +1030
+++ head/QW/client/cl_main.c	2005-12-28 11:59:46.000000000 +1030
@@ -1278,6 +1278,10 @@
 	Key_WriteBindings(f);
 	Cvar_WriteVariables(f);
 
+	/* Save the mlook state (rarely used as an actual key binding) */
+	if (in_mlook.state & 1)
+	    fprintf(f, "+mlook\n");
+
 	fclose(f);
     }
 }
